import { defineComponent } from "vue"
import state from "/src/state"
import styles from "./index.module.less"

export default defineComponent({
   name: "multipleRestMeasures",
   props: {
      item: {
         type: Object,
         required: true
      }
   },
   setup(props) {
      return () => 
         <>
            {
               state.activeMeasureIndex == props.item.MeasureNumberXML 
                  && <div class={styles.dotWrap} id="restDot">{props.item.multipleRestMeasures}</div>
            }
         </>
   }
})
